Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.event.terraingen
Enum InitMapGenEvent.EventType

    java.lang.Object
      java.lang.Enum<InitMapGenEvent.EventType>
          net.minecraftforge.event.terraingen.InitMapGenEvent.EventType

All Implemented Interfaces:
  Serializable, Comparable<InitMapGenEvent.EventType>

Enclosing class:
  InitMapGenEvent

    public static enum InitMapGenEvent.EventType

extends Enum<InitMapGenEvent.EventType>

Use CUSTOM to filter custom event types

Enum Constant Summary
`CAVE`
`CUSTOM`
`MINESHAFT`
`NETHER_BRIDGE`
`NETHER_CAVE`
`RAVINE`
`SCATTERED_FEATURE`
`STRONGHOLD`
`VILLAGE`

Method Summary
`static InitMapGenEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InitMapGenEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAVE

    public static final InitMapGenEvent.EventType CAVE

### MINESHAFT

    public static final InitMapGenEvent.EventType MINESHAFT

### NETHER_BRIDGE

    public static final InitMapGenEvent.EventType NETHER_BRIDGE

### NETHER_CAVE

    public static final InitMapGenEvent.EventType NETHER_CAVE

### RAVINE

    public static final InitMapGenEvent.EventType RAVINE

### SCATTERED_FEATURE

    public static final InitMapGenEvent.EventType SCATTERED_FEATURE

### STRONGHOLD

    public static final InitMapGenEvent.EventType STRONGHOLD

### VILLAGE

    public static final InitMapGenEvent.EventType VILLAGE

### CUSTOM

    public static final InitMapGenEvent.EventType CUSTOM

Method Detail

### values

    public static InitMapGenEvent.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InitMapGenEvent.EventType c : InitMapGenEvent.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InitMapGenEvent.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD